net.sf.jasperreports.export

## Interface XlsxExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration, XlsExporterConfiguration
  All Known Implementing Classes:
    SimpleXlsxExporterConfiguration

      public interface XlsxExporterConfiguration
      extends XlsExporterConfiguration

  Interface containing settings used by the XLSX exporter.
  Version:
    $Id: XlsxExporterConfiguration.java 6695 2013-11-07 09:53:57Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRXlsxExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_MACRO_TEMPLATE` Property used to provide a default value for the `getMacroTemplate()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `PROPERTY_CREATE_CUSTOM_PALETTE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMacroTemplate()` Specifies the location of an existing workbook template containing a macro object.

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `getWorkbookTemplate, isCreateCustomPalette, isKeepWorkbookTemplateSheets`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_MACRO_TEMPLATE

          static final java.lang.String PROPERTY_MACRO_TEMPLATE

      Property used to provide a default value for the `getMacroTemplate()` export configuration setting.
      Since:
        4.5.1
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### getMacroTemplate

          java.lang.String getMacroTemplate()

      Specifies the location of an existing workbook template containing a macro object. The macro object will be copied into the generated document if the template location is valid. Macros can be loaded from Excel macro-enabled template files (*.xltm) as well as from valid Excel macro-enabled documents (*.xlsm).
      See Also:
        `PROPERTY_MACRO_TEMPLATE`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com